Subject: [Healeys] FASPEC & Stan Huntley

From: richard mayor <[email-masked]>
Date: Sun, 13 Jul 2014 01:23:19 +0000 FILETIME=[079910B0:01CF9E39]

FASPEC is an abbreviation for Fiat Automotive Specialties.  Stan Huntley was
into Fiat 500's and 850's but the US market was not that supportive of the
Fiat marque. On the other hand, British sports cars were much more popular in
the early 1970's. The name Fiat Automotive Specialties got shortened to FASPEC
and by 1975, Stan Huntley was well into British sports cars.

Richard
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys